Update: Microsoft warns of serious Windows 2000 hole

Computerworld |  Operating Systems

Microsoft Corp. Tuesday disclosed that an "extremely serious" flaw in an extension included in Windows 2000 could allow a malicious hacker to gain complete control of any computer running the Internet Information Services (IIS) 5.0 software built into that operating system.

In a bulletin posted on its Web site, Microsoft said the vulnerability is caused by an unchecked buffer in an extension that provides native support for Internet printing capabilities within Windows 2000. The software vendor "strongly" urged all IIS 5.0 users to install a new patch that's supposed to fix the problem.

Scott Culp, a program manager at Microsoft's security response center, went even further in an interview, saying it's "imperative" that anyone running IIS 5.0 apply the patch. The hole is especially serious because it could enable an attacker to run code that would give him complete control of Windows 2000 on a vulnerable server. "There is literally nothing [an attacker] could not do," Culp said.

Information about the vulnerability has been distributed to hundreds of thousands of Microsoft users and business partners, he added.The hole was first reported to Microsoft 10 days ago by eEye Digital Security, an Aliso, Viejo, Calif.-based security software vendor that has posted its own advisory about the vulnerability.

While the new flaw is considered serious, Culp said it will affect only those users who have explicitly turned on IIS 5.0 and the Internet Printing Protocol feature offered as part of Windows 2000. The problematic extension that implements the protocol is installed by default on all Windows 2000-based servers, but it can be accessed only via IIS 5.0.

Marc Maiffret, chief hacking officer at eEye, said the security vendor reported the hole to Microsoft almost two weeks ago. Microsoft confirmed the vulnerability and then created the patch that was released today. The problem affects systems running Windows 2000 Server, Windows 2000 Advanced Server and Windows 2000 Datacenter Server.

According to eEye's advisory, a filter on the Internet Server Application Program Interface (ISAPI) extension that controls the Internet printing commands "does not do proper 'bounds checking' on user-inputted buffers." That makes it susceptible to buffer overflow attacks that could give hackers the keys they need to gain system-level access to servers.

Once that's accomplished, Maiffret said, an attacker could view all files on a penetrated server and execute any commands. He added that the vulnerability poses a potential threat to Windows 2000 servers running at "everything from mom-and-pop shops to Fortune 100 companies."

Join us:
Facebook

Twitter

Pinterest

Tumblr

LinkedIn

Google+

Answers - Powered by ITworld

ITworld Answers helps you solve problems and share expertise. Ask a question or take a crack at answering the new questions below.

Join us:
Facebook

Twitter

Pinterest

Tumblr

LinkedIn

Google+

Ask a Question
randomness